package org.wjh.jboss.module;

import static org.wjh.jboss.module.ResourceCheckingUtils.checkResources;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;

public class ResourceCheckingServlet extends HttpServlet {

    private static final long serialVersionUID = 1763779264510313511L;

    public void init(ServletConfig config) throws ServletException {
        checkResources("=== Initializing Servlet.");
    }

    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        checkResources("=== Servicing HttpServletRequest.");
        resp.sendRedirect("index.html");
    }

}
